# -*- coding: utf-8 -*-
"""

This is a example for csst_ifs_sim running.

"""

from csst_ifs_sim import csst_ifs_sim
import os

# Set the parent path where the IFS_inputdata folder is stored.
dir_path = '/home/yan/ifs_sim')

# Set the path to the called config file.
configfile = './csst_ifs_sim/ifs_data/IFS_sim_C10.config'

# Set the path to the simulation data storage file.
result_path = os.path.join(dir_path, 'ifs_sim_result')

# Set the type of emulation, SCI, or DARK, or FLAT, or LAMP.
sourcein = 'SCI'

# Specifies whether the debug mode is used. If debug=True, 
# this mode is used and the program will only simulate a few wavelength slices
# to save time. If debug=False, the full simulation will be run.
debug = True


# set the simulaiton number. With modifications, parallel simulations
# can be executed.
iLoop=1

# run the main function
# When the last parameter is yes and sourcein is LAMP, 
# the Hole simulation is executed.
csst_ifs_sim.runIFSsim(sourcein, configfile,
                       dir_path, result_path, iLoop, debug, 'no')
        
        
    